import { Buff, Bytes } from '@cmdcode/buff-utils';
import { verify } from './sig.js';
import { MusignContext, SignerConfig, SignerOptions } from './types.js';
export declare class Signer {
    static generate(config?: SignerConfig): Signer;
    static verify: typeof verify;
    readonly _pubkey: Buff;
    readonly _seckey: Buff;
    readonly _chain?: Buff;
    readonly _config: SignerConfig;
    constructor(secret: Bytes, config?: SignerConfig);
    get pubkey(): Buff;
    _gen_nonce(opt?: SignerOptions): (msg: Bytes) => Buff;
    _signer(opt?: SignerOptions): (msg: Bytes) => Buff;
    _musigner(opt?: SignerOptions): (context: MusignContext) => Buff;
    derive(path: string): Signer;
    ecdh(pubkey: Bytes): Buff;
    hmac(message: Bytes): Buff;
    gen_nonce(message: Bytes, options?: SignerOptions): Buff;
    sign(message: Bytes, options?: SignerOptions): Buff;
    musign(context: MusignContext, options?: SignerOptions): Buff;
    with(opt: SignerOptions): Signer;
}
//# sourceMappingURL=signer.d.ts.map