import { Buff, Bytes } from '@cmdcode/buff-utils';
import { Signer } from './signer.js';
export interface PointData {
    x: bigint;
    y: bigint;
}
export type SignerAPI = Signer;
export interface HDKey {
    prev: Buff | null;
    seckey: Buff | null;
    pubkey: Buff;
    path: string;
    code: Buff;
}
export interface ExtKey {
    prefix: number;
    depth: number;
    fprint: number;
    index: number;
    code: string;
    type: number;
    key: string;
    seckey?: string;
    pubkey: string;
}
export interface MusignContext {
    group_pubkey: Bytes;
    nonce_coeff: Bytes;
    key_tweaks: Bytes[];
    int_tweaks?: Bytes[];
    ext_tweaks?: Bytes[];
    sec_nonce?: Bytes;
}
export interface SignerOptions {
    aux?: Bytes | null;
    adaptor?: string;
    tweak?: Bytes;
    throws?: boolean;
}
export interface SignerConfig {
    hd_code?: Bytes;
    hd_path?: string;
    recovery?: Bytes;
}
//# sourceMappingURL=types.d.ts.map